## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  io.github.mpc_qt.Mpc-Qt

Name:           mpc-qt
Version:        24.06
Release:        %autorelease
Summary:        A clone of Media Player Classic reimplemented in Qt
# MainWindow::on_actionHelpAbout_triggered states "or later"
# qthelper.hpp is ISC
License:        GPL-2.0-or-later AND ISC
URL:            https://mpc-qt.github.io/
Source0:        https://github.com/mpc-qt/mpc-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{app_id}.appdata.xml

BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  pkgconfig(mpv)
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtbase-private-devel
BuildRequires:  qt6-qt5compat-devel
BuildRequires:  qt6-linguist

Requires:       hicolor-icon-theme

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%description
Media Player Classic Home Cinema (mpc-hc) is considered by many to be the
quintessential media player for the Windows desktop.
Media Player Classic Qute Theater (mpc-qt) aims to reproduce most of the
interface and functionality of mpc-hc.

%prep
%autosetup -p1
rm -rf mpv-dev


%build
%qmake_qt6 MPCQT_VERSION=%{version} PREFIX=%{_prefix}
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{_datadir}/doc/mpc-qt/ipc.md
install -D -m0644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{app_id}.appdata.xml


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.appdata.xml


%files
%doc README.md DOCS/ipc.md
%license LICENSE
%{_bindir}/mpc-qt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{app_id}.appdata.xml


%changelog
## START: Generated by rpmautospec
* Mon Oct 14 2024 Jan Grulich <jgrulich@redhat.com> - 24.06-3
- Rebuild (qt6)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 24.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 04 2024 Packit <hello@packit.dev> - 24.06-1
- Update to 24.06 upstream release
- Resolves: rhbz#2295612

* Thu Jul 04 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 23.12-4
- ExcludeArch i686

* Thu Jul 04 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 23.12-3
- Onboard packit

* Sun May 12 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 23.12-4
- Prepare for Fedora

* Mon May 06 2024 Leigh Scott <leigh123linux@gmail.com> - 23.12-3
- Rebuild for new qt

* Sun Feb 04 2024 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 23.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 01 2024 Leigh Scott <leigh123linux@gmail.com> - 23.12-1
- Update mpc-qt to 23.12

* Wed Aug 02 2023 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 23.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 11 2023 Leigh Scott <leigh123linux@gmail.com> - 23.02-1
- Update mpc-qt to 23.02

* Thu Nov 17 2022 Vitaly Zaitsev <vitaly@easycoding.org> - 22.02-3
- Rebuilt due to mpv update.

* Sun Aug 07 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 22.02-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and ffmpeg
  5.1

* Mon Feb 28 2022 Sérgio Basto <sergio@serjux.com> - 22.02-1
- Update mpc-qt to 22.02

* Wed Feb 09 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 20.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 21 2021 Sérgio Basto <sergio@serjux.com> - 20.10-1
- Update mpc-qt to 20.10

* Tue Aug 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.08-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Feb 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.08-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Leigh Scott <leigh123linux@gmail.com> - 18.08-5
- Rebuild for new mpv

* Tue Aug 18 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Feb 05 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Aug 09 2019 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 18.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 01 2019 Leigh Scott <leigh123linux@googlemail.com> - 18.08-1
- First Build

## END: Generated by rpmautospec
